package com.ynxbd.push.helper;

import com.ynxbd.push.entity.response.ResponseResult;
import weixin.popular.bean.message.MessageSendResult;

/**
 * @author 李进才
 * @ClassName BusinessHelper
 * @Description TODO
 * @date 2023/05/11 11:54:00
 */
public class BusinessHelper {

    /**
     *
     * @param organizeName
     * @param patientId
     * @param idCard
     * @param doctorCode 有时候也会传deptCode验证
     */
    public static MessageSendResult ParamsCheck(String organizeName, String patientId, String idCard, String doctorCode) {
        MessageSendResult messageSendResult = new MessageSendResult();
        if (patientId == null && idCard == null && doctorCode == null) {
            return ResponseResult.PARAMETER_IS_NULL.toMessResult();
        }
        if (DesEncryptHelper.deCode(organizeName).equals("error:null")) {
            return ResponseResult.ORGANIZE_IS_NULL.toMessResult();
        }
        messageSendResult.setErrcode("0");
        return messageSendResult;
    }
}
