package com.ynxbd.push.controller.BI;

import com.ynxbd.push.quartz.pushJob.BI.BiPush;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 李进才
 * @ClassName BiController
 * @Description description
 * @date 2022/9/7 14:26
 */
@Slf4j
@RestController
@RequestMapping("Bi")
public class BiController {
    @GetMapping("workLoadPush")
    public String workLoadPush(String openId) {
        try {
            BiPush.runJob(openId);
            return "Success";
        }
        catch (Exception e){
            log.error(e.toString());
            return e.getMessage();
        }
    }
}
